Bug 198323 - failed to start 3c574 for network installation
failed to start 3c574 for network installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 00:31 EDT by Tim Taiwanese Liim
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-23 12:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Taiwanese Liim 2006-07-11 00:31:55 EDT
Description of problem:
When installing from network (http,ftp), anaconda failed to start
3c574 card, on Toshiba Tecra 8100.


Version-Release number of selected component (if applicable):
fc6test1, both DVD and boot.iso.


How reproducible:
always.


Steps to Reproduce:
1. boot from fc6test1 DVD or boot.iso, using "linux askmethod".
2. When asked "Installation Method", choose "HTTP" or "FTP".
  
Actual results:
Saw the screen "No driver found".


Expected results:
Should find the driver for 3c574 and ask for (ftp,http) server
info.


Additional info:

1. 3c574 in anaconda was NOT working in fc2, IS working in fc3,fc4,
   NOT working in fc5, fc6test1.  (I tested these releases again
   today on the same h/w).

2. in fc6test1 (bad case), window 3 (Ctrl-Alt-3), the msg are
        modules to insert yenta_socket
        load module set done
        setting language to en_US.UTF-8
        53 keymaps are available

   window 4 (Ctrl-Alt-4) has
        <5>pccard: PCMCIA card inserted into slot 1
        ...
        <6>cs: IO port probe 0x100-0x3af: excluding 0x378-0x37f
        <6>cs: IO port probe 0x100-0x3af: excluding 0x378-0x37f
        <5>cs: warning: no high memory space available!

2. in fc4 (good case), window 3 (Ctrl-Alt-3), the msg are
        loaded yenta_socket from /modules/modules.cgz
        loaded pcmcia from /modules/modules.cgz
        inserted /tmp/pcmcia_core.ko
        inserted /tmp/rsrc_nonstatic.ko
        inserted /tmp/yenta_socket.ko
        inserted /tmp/pcmcia.ko
        load module set done
        ...
        modules to insert 3c574_cs
        ...
        going to activate device using 3c574_cs
        going to set language to en_US.UTF-8
        setting language to en_US.UTF-8
        53 keymaps are available

   window 4 (Ctrl-Alt-4) has
        <135>... loader: bresp: yiaddr: 192.168.79.51
        ...
        <135>... loader: intf: network: 192.168.79.0
Comment 1 Dave Jones 2007-03-19 15:44:29 EDT
Is this improved in the final FC6 release ? (Or in the update kernel?)
Comment 2 Tim Taiwanese Liim 2007-03-19 23:46:32 EDT
No.  The problem persists in the final FC6 release CD.
Use this CD to install with "linux askmethod"
    cc503d99c9d736af9052904a6ab14931b0850078  FC-6-i386-disc1.iso
still see "No driver found" when choosing ftp/http.
There is slight change in window 3 output though.

- in fc6 final (bad case), window 3 (Ctrl-Alt-3), the msg are
        modules to insert yenta_socket
        load module set done
        setting language to en_US.UTF-8
        53 keymaps are available
            ## the following lines was not seen in fc6test1.
        modules to insert 3c574_cs
        loaded 3c574_cs from /modules/modules.cgz
        inserted /tmp/3c574_cs.ko
        load module set done

   window 4 (Ctrl-Alt-4) has
        <6>cs: IO port probe 0x100-0x3af: excluding 0x378-0x37f
        <5>cs: warning: no high memory space available!
        <6>cs: IO port probe 0x100-0x3af: excluding 0x378-0x37f

>> (Or in the update kernel?)
Not sure what you meant by "update kernel."  This problem occurs only
during installation time, when using ftp/http.  Installation from CD
posed no problem; the installed system uses said 3c574 without issue.
All the kernels from yum update use said 3c574 without issue.  Is this
a kernel issue or anaconda issue?
Comment 3 Matthew Miller 2007-04-06 13:53:37 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Tim Taiwanese Liim 2007-04-06 22:23:42 EDT
As stated in Comment#2 dated 2007-03-19:
    The problem persists in the final FC6 release CD.

As stated in original bug report dated 2006-07-11:
    1. 3c574 in anaconda was NOT working in fc2, IS working in fc3,fc4,
       NOT working in fc5, fc6test1. ...
Comment 5 Matthew Miller 2007-04-06 23:56:16 EDT
Thanks Tim. The intent here isn't to harass you -- I'm just trying to make sure
the bugs assigned to test releases aren't missed.
Comment 6 Tim Taiwanese Liim 2007-04-07 01:06:21 EDT
Thanks for following up, Matthew.  I changed "Version" field to fc6 so
we know it's for the release, not for test.  No, I didn't feel
harassed; I thought the easiest way to reply is to quote previous
reports.  Happy Easter!
Comment 7 Tim Taiwanese Liim 2007-09-23 12:50:10 EDT
Close bug; my Toshiba Tecra 8100 is dead.

Note You need to log in before you can comment on or make changes to this bug.